/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _USR_BOOTCONNECT_H
#define _USR_BOOTCONNECT_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/** @file
 *
 * Boot connection
 *
 */

struct net_device;

extern int connect_root_path ( const char *root_path );

extern void sf_bootconnect ( void );

extern int sf_linkwait ( struct net_device *dev );

#endif /* _USR_BOOTCONNECT_H */
