/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _USR_ROUTE_H
#define _USR_ROUTE_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/** @file
 *
 * Routing table management
 *
 */
struct net_device;
extern void route_dev ( struct net_device *netdev );

static inline void route(void)
{
	route_dev(NULL);
}

#endif /* _USR_ROUTE_H */
