/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * Driver for Solarflare network controllers and boards
 * Copyright 2019 Solarflare Communications Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_SF_STARTUP_H
#define _GPXE_SF_STARTUP_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/** @file
 *
 * Definitions shared between ROM prefix and C startup code for Solarflare NICs
 *
 */

#define SF_BOOT_MODE_BEV	0
#define SF_BOOT_MODE_BCV	1
#define SF_BOOT_MODE_DISABLE	2

#endif /* _GPXE_SF_STARTUP_H */

